nix3-store-cat(1)

    Warning
    This program is experimental and its interface is subject to change.

Name

nix store cat - print the contents of a file in the Nix store on stdout

Synopsis

nix store cat [option…] path

Examples

•   Show the contents of a file in a binary cache:

    # nix store cat --store https://cache.nixos.org/ \
      /nix/store/qbhyj3blxpw2i6pb7c6grc9185nbnpvy-hello-2.10/bin/hello | hexdump -C | head -n1
    00000000  7f 45 4c 46 02 01 01 00  00 00 00 00 00 00 00 00  |.ELF............|

Description

This command prints on standard output the contents of the regular file path in a Nix store. path can be a top-level store path or any file inside a store path.

Options

  Logging-related options

•   --debug

    Set the logging verbosity level to ‘debug’.

•   --log-format format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs / -L

    Print full build logs on standard error.

•   --quiet

    Decrease the logging verbosity level.

•   --verbose / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help

    Show usage information.

•   --offline

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh

    Consider all previously downloaded files out-of-date.

•   --version

    Show version information.

    Note

    See man nix.conf for overriding configuration settings with command line flags.